LIBKECCAK_FAST_SQUEEZE(3)

NAME
libkeccak_squeeze - Runs the squeeze phase

SYNOPSIS
#include <libkeccak.h>
void libkeccak_squeeze(struct libkeccak_state *state, void *hashsum);

Link with -lkeccak.

DESCRIPTION
The libkeccak_squeeze() function runs the Keccak squeeze phase, on the the hash process described by *state, on stores a new digest, in binary form, in hashsum.

hashsum has the same requirement as for the libkeccak_digest(3) and libkeccak_fast_digest(3) functions: it must have an allocation size of at least ((state->n + 7) / 8) bytes. However, it may not be NULL.

RETURN VALUES
The libkeccak_squeeze() function does not return any value.

ERRORS
The libkeccak_squeeze() function cannot fail.

SEE ALSO
libkeccak_digest(3), libkeccak_fast_digest(3), libkeccak_simple_squeeze(3), libkeccak_fast_squeeze(3)